this.name			= "Constore Hauler populator";
this.author			= "Keeper";
this.copyright		= "Creative Commons: attribution, non-commercial, sharealike.";
this.description	= "Adds branded hauler to systems with a constore";
this.version		= "1.01";


this.shipExitedWitchspace = function () 
{ 
   this.csrandom = Math.floor(Math.random() * 3); // Set a random whole number between 0 and 2.
   
   if (csrandom == 0)
   { 
//      player.commsMessage("HAULER ROLL 0"); // Test code so I knew what to expect in system.
	  this.addConstoreHauler(); // If random number is 0, add hauler heading to store full of cargo.
      delete this.csrandom;
      return;
   }
   if (csrandom == 1)
   { 
//	  player.commsMessage("HAULER ROLL 1");
	  this.addConstoreHaulRet(); // If random number is 1, add hauler heading to main station, empty.
	  delete this.csrandom;
	  return;
	}
   if (csrandom == 2)
   { 
//      player.commsMessage("HAULER ROLL 2");
	  delete this.csrandom;
	  return; // If random number is 2, hauler is not running at this moment.
	}
}; 

this.shipWillLaunchFromStation = function () // For when player first loads a saved game.
{ 
   this.csrandom = Math.floor(Math.random() * 3);
   if (csrandom == 0)
   { 
//      player.commsMessage("HAULER ROLL ZERO");
	  this.addConstoreHauler();
      delete this.csrandom;
      delete this.shipWillLaunchFromStation; // Ensures this runs only on first launch after loading a saved game.
      return;
   }
   if (csrandom == 1)
   { 
//	  player.commsMessage("HAULER ROLL ONE");
	  this.addConstoreHaulRet();
	  delete this.csrandom;
	  delete this.shipWillLaunchFromStation;
	  return;
	}
   if (csrandom == 2)
   { 
//	  player.commsMessage("HAULER ROLL TWO");
	  delete this.csrandom;
	  delete this.shipWillLaunchFromStation;
	  return;
	}
};

this.addConstoreHauler = function () // Matches the hauler with the appropriate constore.
{ 
	if (system.countShipsWithRole("constore-A") > 0)
	{
	system.addShipsToRoute("con-a-hauler", 1, Math.random(), "pw");
//	player.commsMessage("Pi-42 HAULER SPAWNED");
	}
	if (system.countShipsWithRole("constore-B") > 0)
	{
	system.addShipsToRoute("con-b-hauler", 1, Math.random(), "pw");
//	player.commsMessage("Tescoo HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-C") > 0)
	{
	system.addShipsToRoute("con-c-hauler", 1, Math.random(), "pw");
//	player.commsMessage("Mall-Wart HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-D") > 0)
	{
	system.addShipsToRoute("con-d-hauler", 1, Math.random(), "pw");
//	player.commsMessage("GalaxyMart HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-E") > 0)
	{
	system.addShipsToRoute("con-e-hauler", 1, Math.random(), "pw");
//	player.commsMessage("Sainsboory HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-F") > 0)
	{
	system.addShipsToRoute("con-f-hauler", 1, Math.random(), "pw");
//	player.commsMessage("Star HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-G") > 0)
	{
	system.addShipsToRoute("con-g-hauler", 1, Math.random(), "pw");
//	player.commsMessage("Oodles HAULER SPAWNED");
	}
};

this.addConstoreHaulRet = function () // Same as above but for returning haulers, carrying no cargo.
{ 
	if (system.countShipsWithRole("constore-A") > 0)
	{
	system.addShipsToRoute("con-a-haulret", 1, Math.random(), "wp");
//	player.commsMessage("EMPTY Pi-42 HAULER SPAWNED");
	}
	if (system.countShipsWithRole("constore-B") > 0)
	{
	system.addShipsToRoute("con-b-haulret", 1, Math.random(), "wp");
//	player.commsMessage("EMPTY Tescoo HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-C") > 0)
	{
	system.addShipsToRoute("con-c-haulret", 1, Math.random(), "wp");
//	player.commsMessage("EMPTY Mall-Wart HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-D") > 0)
	{
	system.addShipsToRoute("con-d-haulret", 1, Math.random(), "wp");
//	player.commsMessage("EMPTY GalaxyMart HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-E") > 0)
	{
	system.addShipsToRoute("con-e-haulret", 1, Math.random(), "wp");
//	player.commsMessage("EMPTY Sainsboory HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-F") > 0)
	{
	system.addShipsToRoute("con-f-haulret", 1, Math.random(), "wp");
//	player.commsMessage("EMPTY Star HAULER SPAWNED");
	}
		if (system.countShipsWithRole("constore-G") > 0)
	{
	system.addShipsToRoute("con-g-haulret", 1, Math.random(), "wp");
//	player.commsMessage("EMPTY Oodles HAULER SPAWNED");
	}
};