this.name      = "constorehauler"; 
this.author    = "Adapted by Keeper from workcom.js by eric walch"; 
this.copyright = "Creative Commons: attribution, non-commercial, sharealike.";
this.description = "Haulers for Constore brands";
this.version   = "1.01";

this.ship.reportAIMessages = false; // Set to true to write AI messages in the log for testing purposes.
	
this.shipSpawned = function ()
{
	if (worldScripts["Escort Formations Randomiser"]) // Use Escort Formations OXP if installed for random flight formations
	{
    worldScripts["Escort Formations Randomiser"].$setupDefensiveEscorts(this.ship);
	}
    // If store of same brand is in system, fly to that store instead of jumping out of system
	if (this.ship.primaryRole === "con-a-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-A")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js") // Failsafe in case constore disappeared at the last split second
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-b-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-B")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-c-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-C")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-d-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-D")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-e-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-E")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-f-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-F")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-g-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-G")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
};

this.shipLaunchedFromStation = function () // This isn't working yet, I think -- is meant for hauler launching instead of spawning.
{
	if (worldScripts["Escort Formations Randomiser"]) {
    worldScripts["Escort Formations Randomiser"].$setupDefensiveEscorts(this.ship);
	}
    // If store of same brand is in system, fly to that store instead of jumping out of system
	if (this.ship.primaryRole === "con-a-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-A")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-b-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-B")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-c-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-C")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-d-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-D")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-e-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-E")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-f-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-F")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
	if (this.ship.primaryRole === "con-g-hauler") 
    {
        this.constoreloc = system.shipsWithRole("constore-G")[0];
        if (!this.constoreloc) this.ship.switchAI("oolite-traderAI.js")
        else this.ship.switchAI("constorehaulerAI.plist")
    }
};

this.findConstore = function () // Inbound hauler runs this to set its destination to the constore
{
    if (this.constoreloc && this.constoreloc.isValid) this.ship.target = this.constoreloc
    else this.ship.target = system.mainStation // Failsafe in case constore disappears
};
